<?php
/*
 * Plugin Name: block-chinese-and-cyryllic
 * Version: 1.0
 * Plugin URI: http://www.hughlashbrooke.com/
 * Description: Block Chinese and Cyryllic characters in POST variables
 * Author: Andrzej Godziuk
 * Author URI: https://massivevps.net/
 * Requires at least: 4.0
 * Tested up to: 4.0
 *
 * Text Domain: block-chinese-and-cyryllic
 * Domain Path: /lang/
 *
 * @package WordPress
 * @author Hugh Lashbrooke
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

$pcre = '/.*[\x{0400}-\x{04ff}\x{4e00}-\x{9fff}].*/u';

if(isset($_POST)) {
	$post_text = var_export($_POST, TRUE);
	$match = preg_match($pcre, $post_text);
	if($match === false) {
		error_log(preg_last_error());
	}
	if($match === 1) {
		http_response_code(403);
		die('Non-Latin characters are considered spam on this website.');
	}
}
